function makeLine(size, char = '#') {
	let line = '';
	for (let i = 0; i < size; i++) {
		line += char;
	}
	return line;
}

function makeSquare(size) {
	let square = '';
	for (let i = 0; i < size; i++) {
		square += makeLine(size) + '\n'
	}
	return square.trimEnd();
}

function makeRectangle(width, height) {
	let rectangle = '';
	for (let i = 0; i < height; i++) {
		rectangle += (makeLine(width) + '\n');
	}
	return rectangle.trimEnd;
}

function makeDownwardStairs(height) {
	let stairs = '';
	for (let i = 0; i < height; i++) {
		stairs += (makeLine(i + 1) + '\n');
	}
	return stairs.trimEnd();
}

function makeSpaceLine(numSpaces, numChars) {
	return makeLine(numSpaces, ' ') + makeLine(numChars, '#') + makeLine(numSpaces, '')
}

function makeIsoscelesTriangle(height) {
	let triangle = '';
	for (let i = 0; i < height; i++) {
		triangle += (makeSpaceLine(height - i - 1, 2 * i + 1) + '\n');
	}
	return triangle.trimEnd;
}

function reverse(input) {
	let letters = input.split('');
	letters = letters.reverse();
	return letters.join('');
}

function makeDiamond(height) {
	return makeIsoscelesTriangle(height) + '\n' + reverse(makeIsoscelesTriangle(height));
}

console.log(makeDiamond(5));